package domain

type AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItemdiscountAdditemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItemdiscountAdditemChannelConfig) *AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
